Loading...
Searching...
No Matches
BALL::RingPerceptionProcessor::TNode_ Struct Reference

`#include <BALL/QSAR/ringPerceptionProcessor.h>`

## Public Member Functions

void | recieve ()
| method to process the messages in the recieve buffer
void | send ()
| method to process the messages in the send buffer
bool | haveZeroIntersection (BitVector &beep1, BitVector &beep2)
bool | haveSingleIntersection (BitVector &beep1, BitVector &beep2)
bool | nodeIsNew (BitVector &beep, NodeItem< Index, Index > *node)

## Public Attributes

std::vector< PathMessage_ > | recieve_buffer
| the recieve buffer, where messages are stored in
std::vector< PathMessage_ > | send_buffer
| the send buffer, where messages are stored in

## Detailed Description

Definition at line 97 of file ringPerceptionProcessor.h.

## Member Function Documentation

## haveSingleIntersection()

bool BALL::RingPerceptionProcessor::TNode_::haveSingleIntersection | ( | BitVector & | beep1,
|  | BitVector & | beep2 )

## haveZeroIntersection()

bool BALL::RingPerceptionProcessor::TNode_::haveZeroIntersection | ( | BitVector & | beep1,
|  | BitVector & | beep2 )

## nodeIsNew()

bool BALL::RingPerceptionProcessor::TNode_::nodeIsNew | ( | BitVector & | beep,
|  | NodeItem< Index, Index > * | node )

## recieve()

void BALL::RingPerceptionProcessor::TNode_::recieve | ( |  | ) |

method to process the messages in the recieve buffer

## send()

void BALL::RingPerceptionProcessor::TNode_::send | ( |  | ) |

method to process the messages in the send buffer

## Member Data Documentation

## recieve_buffer

std::vector<PathMessage_> BALL::RingPerceptionProcessor::TNode_::recieve_buffer

the recieve buffer, where messages are stored in

Definition at line 112 of file ringPerceptionProcessor.h.

## send_buffer

std::vector<PathMessage_> BALL::RingPerceptionProcessor::TNode_::send_buffer

the send buffer, where messages are stored in

Definition at line 115 of file ringPerceptionProcessor.h.